صفحات العرض المؤقتة
GET https://oo.om/api/splash-pages/
curl --request GET \
--url 'https://oo.om/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oo.om/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري نص (String) | سلسلة البحث. |
| search_by | اختياري نص (String) | الحقل الذي تبحث من خلاله. القيم المسموح بها هي: name. |
| datetime_field | اختياري نص (String) | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري نص (String) | تصفية النتائج بدءاً من هذا التاريخ والوقت. بتنسيق Y-m-d H:i:s. |
| datetime_end | اختياري نص (String) | تصفية النتائج حتى هذا التاريخ والوقت. بتنسيق Y-m-d H:i:s. |
| order_by | اختياري نص (String) | الحقل الذي سيتم ترتيب النتائج بناءً عليه. القيم المسموح بها هي: splash_page_id, datetime, last_datetime, name. |
| order_type | اختياري نص (String) | طريقة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح (Integer) | رقم الصفحة التي تريد الحصول على النتائج منها. القيمة الافتراضية هي 1. |
| results_per_page | اختياري عدد صحيح (Integer) | عدد النتائج المطلوبة في الصفحة الواحدة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-05-21 11:15:32",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oo.om/api/projects?page=1",
"last": "https://oo.om/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://oo.om/api/projects?page=1"
}
}
GET https://oo.om/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-05-21 11:15:32",
}
}
POST https://oo.om/api/projects
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | مطلوب نص (String) | - |
| title | اختياري نص (String) | - |
| logo | اختياري ملف | - |
| favicon | اختياري ملف | - |
| opengraph | اختياري ملف | - |
| description | اختياري نص (String) | - |
| secondary_button_name | اختياري نص (String) | - |
| secondary_button_url | اختياري نص (String) | - |
| custom_css | اختياري نص (String) | - |
| custom_js | اختياري نص (String) | - |
| ads_header | اختياري نص (String) | - |
| ads_footer | اختياري نص (String) | - |
| link_unlock_seconds | اختياري عدد صحيح (Integer) | - |
| auto_redirect | اختياري منطقي (Boolean) | - |
curl --request POST \
--url 'https://oo.om/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://oo.om/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://oo.om/api/splash-pages/{splash_page_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| name | اختياري نص (String) | - |
| title | اختياري نص (String) | - |
| logo | اختياري ملف | - |
| favicon | اختياري ملف | - |
| opengraph | اختياري ملف | - |
| description | اختياري نص (String) | - |
| secondary_button_name | اختياري نص (String) | - |
| secondary_button_url | اختياري نص (String) | - |
| custom_css | اختياري نص (String) | - |
| custom_js | اختياري نص (String) | - |
| ads_header | اختياري نص (String) | - |
| ads_footer | اختياري نص (String) | - |
| link_unlock_seconds | اختياري عدد صحيح (Integer) | - |
| auto_redirect | اختياري منطقي (Boolean) | - |
curl --request POST \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://oo.om/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oo.om/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \